$ErrorActionPreference = 'Stop'; # stop on all errors
$pp         = Get-PackageParameters
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$installDir = Join-Path "$(Get-ToolsLocation)" "Prism Launcher"

# Read parameter to decide if we install standard or legacy
if (!$pp['legacy']) {
  $url      = 'https://github.com/PrismLauncher/PrismLauncher/releases/download/5.0/PrismLauncher-Windows-5.0.zip'
  $checksum = '91919c1ace794fb5d6a9e1a4a3c9f946a84ee562fd5aa6958877e43db2d4e30a'
}
else {
  $url      = 'https://github.com/PrismLauncher/PrismLauncher/releases/download/5.0/PrismLauncher-Windows-Legacy-5.0.zip'
  $checksum = '47fb9b1e5f6c1197294e668ddc14f0169af7f5bf03aa320a949a74eeab985f34'
}

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $installDir
  url           = $url
  softwareName  = 'Prism Launcher*'
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

Write-Host "Creating Start Menu and Desktop shortcuts"
$startmenu = Join-Path $env:programdata "Microsoft\Windows\Start Menu\Programs"
Install-ChocolateyShortcut -shortcutFilePath $(Join-Path $startmenu "Prism Launcher.lnk") -TargetPath $(Join-Path $installDir "prismlauncher.exe")
$desktop = [Environment]::GetFolderPath("Desktop")
Install-ChocolateyShortcut -shortcutFilePath $(Join-Path $desktop "Prism Launcher.lnk") -TargetPath $(Join-Path $installDir "prismlauncher.exe")
